#include <stdio.h>

int main() {
	int n, i;

	fclose(stdin);
	fopen("heapsort.in", "r");
	fclose(stdout);
	fopen("heapsort.out", "w");

	scanf("%d", &n);
	for (i = n; i > 0; i--)
		printf("%d ", i);
	return 0;
}